SYSTEMD-JOURNAL-UPLOAD(8)

NAME
systemd-journal-upload - Send journal messages over the network

SYNOPSIS

systemd-journal-upload [OPTIONS...] [-u/--url=URL] [SOURCES...]

DESCRIPTION

systemd-journal-upload will upload journal entries to the URL specified with --url. Unless limited by one of the options specified below, all journal entries accessible to the user the program is running as will be uploaded, and then the program will wait and send new entries as they become available.

OPTIONS

-u, --url=[https://]URL, --url=[http://]URL
    Upload to the specified address. URL may specify either just the hostname or both the protocol and hostname. https is the default.

--system, --user
    Limit uploaded entries to entries from system services and the kernel, or to entries from services of current user. This has the same meaning as --system and --user options for journalctl(1). If neither is specified, all accessible entries are uploaded.

-m, --merge
    Upload entries interleaved from all available journals, including other machines. This has the same meaning as --merge option for journalctl(1).

-D, --directory=DIR
    Takes a directory path as argument. Upload entries from the specified journal directory DIR instead of the default runtime and system journal paths. This has the same meaning as --directory option for journalctl(1).

--file=GLOB
    Takes a file glob as an argument. Upload entries from the specified journal files matching GLOB instead of the default runtime and system journal paths. May be specified multiple times, in which case files will be suitably interleaved. This has the same meaning as --file option for journalctl(1).

--cursor=
    Upload entries from the location in the journal specified by the passed cursor. This has the same meaning as --cursor option for journalctl(1).

--after-cursor=
    Upload entries from the location in the journal after the location specified by the this cursor. This has the same meaning as --after-cursor option for journalctl(1).

--save-state[=PATH]
    Upload entries from the location in the journal after the location specified by the cursor saved in file at PATH (/var/lib/systemd/journal-upload/state by default). After an entry is successfully uploaded, update this file with the cursor of that entry.

-h, --help
    Print a short help text and exit.

--version
    Print a short version string and exit.

EXIT STATUS

On success, 0 is returned; otherwise, a non-zero failure code is returned.

SEE ALSO

systemd-journal-remote(8), journalctl(1), systemd-journald.service(8), systemd-journal-gatewayd.service(8)